(***********************************************************************)
(*                                                                     *)
(*                             Pio (OCaml)                             *)
(*                                                                     *)
(*                    Polyglot Input/Output Library                    *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2005-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: read_communication.mli,v 1.7 2014/01/10 19:22:10 fclement Exp $ *)

(** Reading communication. *)

(** We read [Communication.t] values according to the global format mode
flag. *)

val read_communication : Scanf.Scanning.scanbuf -> Communication.t;;
(** General function to read a communication from a buffer.
  This function never fails, in case of a wrong communication it returns a
  service communication reporting the exception raised while reading the wrong
  communication. *)

val unsafe_read_communication : Scanf.Scanning.scanbuf -> Communication.t;;
(** Unsafe function to read a communication from a buffer.
  This function may raise exceptions [Wrong_communication],
  [Scanf.Scan_failure], [Failure] and [End_of_file]. *)
